image: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/python:3.8

stages:
  - build
  - train
  - push

build-image:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:v1.12.1-debug
    entrypoint: [ "" ]
  script: sh -x ci/build_push_image.sh "528719223857.dkr.ecr.eu-west-1.amazonaws.com/ci-temporary-images:$(/busybox/sh ci/get_config_value.sh image_name)-$CI_PIPELINE_ID"

train:
  stage: train
  script: sh -x ci/train.sh
  artifacts:
    paths:
      - job_result.json
    expire_in: 30 days

save-experiment-data:
  stage: push
  script: sh -x ci/save_experiment.sh "$CI_COMMIT_REF_NAME"
  only:
    - tags

push-image-to-ecr:
  stage: push
  image:
    name: gcr.io/kaniko-project/executor:v1.12.1-debug
    entrypoint: [ "" ]
  script: sh -x ci/build_push_image.sh "528719223857.dkr.ecr.eu-west-1.amazonaws.com/sagemaker-classifiers:$(/busybox/sh ci/get_config_value.sh image_name)-$CI_COMMIT_REF_NAME"
  only:
    - tags

save-model:
  stage: push
  script: sh -x ci/save_model.sh "$CI_COMMIT_REF_NAME"
  only:
    - tags
